Summary:     A library for working with sizes in bytes
Name:        libbytesize
Version:     2.9
Release:     6%{?dist}
License:     LGPLv2+
URL:         https://github.com/storaged-project/libbytesize
Source0:     %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc python3-devel
BuildRequires: gmp-devel mpfr-devel
BuildRequires: pcre2-devel gettext-devel

%description
The libbytesize is a C library that facilitates work with sizes in
bytes. The goal of this project is to provide a tiny library that 
would facilitate the common operations with sizes in bytes.

%package devel
Summary:  Development files for libbytesize
Requires: libbytesize = %{version}-%{release}

%description devel
Development libraries and header files for using libbytesize.

%package -n python3-bytesize
Summary: Python 3 bindings for libbytesize
Requires: libbytesize = %{version}-%{release}
Requires: python3-six

%description -n python3-bytesize
Python 3 bindings for libbytesize , which makes the use of the 
library from Python 3 easier and more convenient.

%package tools
Summary: Various nice tools based on libbytesize
Requires: python3-bytesize = %{version}-%{release}

%description tools
Calculator tool for doing calculations with storage sizes based on libbytesize.

%prep
%autosetup

%build
%configure 
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete  
%find_lang libbytesize

%files -f libbytesize.lang
%license LICENSE
%doc README.md
%{_libdir}/libbytesize.so.*

%files devel
%{_libdir}/libbytesize.so
%{_libdir}/pkgconfig/bytesize.pc
%dir %{_includedir}/bytesize
%{_includedir}/bytesize/bs_size.h

%files -n python3-bytesize
%dir %{python3_sitearch}/bytesize
%{python3_sitearch}/bytesize/*

%files tools
%{_bindir}/bscalc
%{_mandir}/man1/bscalc.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-5
- Rebuilt for loongarch release

* Fri Jul 19 2024 Miaojun Dong <zoedong@tencent.com> - 2.9-4
- Update Source0 url

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 2.9-1
- update to 2.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 2 2022 Wang Zhe <bessiewang@tencent.com> - 2.7-1
- initial build
